UbixOS V2 2.0

Data Fields
jsegrec Struct Reference

`#include <fs.h>`

Collaboration diagram for jsegrec:

## Data Fields
uint16_t | jsr_blocks
uint16_t | jsr_cnt
uint32_t | jsr_crc
uint64_t | jsr_oldest
uint64_t | jsr_seq
ufs_time_t | jsr_time

## Detailed Description

Definition at line 691 of file fs.h.

## Field Documentation

## ◆ jsr_blocks

uint16_t jsegrec::jsr_blocks

Definition at line 695 of file fs.h.

## ◆ jsr_cnt

uint16_t jsegrec::jsr_cnt

Definition at line 694 of file fs.h.

## ◆ jsr_crc

uint32_t jsegrec::jsr_crc

Definition at line 696 of file fs.h.

## ◆ jsr_oldest

uint64_t jsegrec::jsr_oldest

Definition at line 693 of file fs.h.

## ◆ jsr_seq

uint64_t jsegrec::jsr_seq

Definition at line 692 of file fs.h.

## ◆ jsr_time

ufs_time_t jsegrec::jsr_time

Definition at line 697 of file fs.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/ufs/ffs/fs.h